=== Data/samples/Binding/Makefile ===
#
# Makefile
#
# $Id: //poco/1.4/Data/samples/Binding/Makefile#2 $
#
# Makefile for Poco Data Binding sample
#

include $(POCO_BASE)/build/rules/global

objects = Binding

target         = Binding
target_version = 1
target_libs    = PocoDataSQLite PocoData PocoFoundation

include $(POCO_BASE)/build/rules/exec
