=== debian/changelog ===
poco (1.4.3p1-1) experimental; urgency=low

  * New Upstream Version
  * debian/changelog: fix debian-changelog-line-too-long.
  * debian/control: bump up libraries SONAME.

 -- Cristian Greco <cristian@debian.org>  Fri, 11 Mar 2012 16:57:34 +0100

poco (1.4.2p1-10) experimental; urgency=low

  * debian/patches:
    - set forward url for some patches.
    - fix-odbc-testsuite-armel.patch: drop patch, pretty useless (see next).
    - honor-buildflags.patch: updated. Try to append (not prepend) flags where
      possible, and also remove the -Ox flags set by upstream. This should fix
      build failures on armel (second attempt).
    - fix-mipsel-endianness.patch: new patch, correctly detect mipsel
      architecture.

 -- Cristian Greco <cristian@debian.org>  Thu, 12 Jan 2012 22:25:32 +0100

poco (1.4.2p1-9) experimental; urgency=low

  * fix-odbc-testsuite-armel.patch: new patch, disable building of
    the Data/ODBC/SQLExecutor test object on armel.
  * debian/testrunner.sh:
    - copy additional test files from data/ dir, if any. This should fix
      the SharedMemoryTest::testCreateFromFile test.
    - also enable Zip library tests (which will now succeed thanks
      to the previous change).

 -- Cristian Greco <cristian@debian.org>  Mon, 09 Jan 2012 14:04:30 +0100

poco (1.4.2p1-8) experimental; urgency=low

  * debian/rules:
    - disable parallel builds on armel and mipsel, this should hopefully
      fix (test) build failures.
    - also reset LDFLAGS when building tests.
    - drop extra --no-fpenvironment option now that arm is gone.

 -- Cristian Greco <cristian@debian.org>  Sat, 31 Dec 2011 19:23:32 +0100

poco (1.4.2p1-7) experimental; urgency=low

  * fix-kfreebsd-ftbfs.patch: fix the patch so that code now builds and *works*.

 -- Cristian Greco <cristian@debian.org>  Sat, 31 Dec 2011 02:10:43 +0100
