=== debian/control ===
Source: poco
Priority: optional
Maintainer: Krzysztof Burghardt <krzysztof@burghardt.pl>
Uploaders: Patrick Gansterer <paroga@paroga.com>, Cristian Greco <cristian@debian.org>
Build-Depends: debhelper (>= 8.0.0),
               dpkg-dev (>= 1.16.1~),
               libexpat1-dev,
               libmysqlclient-dev,
               libpcre3-dev (>= 7.8),
               libsqlite3-dev (>= 3.6.13),
               libssl-dev (>= 0.9.8),
               unixodbc-dev,
               zlib1g-dev
Standards-Version: 3.9.2
Section: libs
Homepage: http://poco.sourceforge.net/
Vcs-Browser: http://git.debian.org/?p=collab-maint/poco.git
Vcs-Git: git://git.debian.org/git/collab-maint/poco.git

Package: libpoco-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libpococrypto12 (= ${binary:Version}), libpocodata12 (= ${binary:Version}), libpocofoundation12 (= ${binary:Version}), libpocodatamysql12 (= ${binary:Version}), libpoconet12 (= ${binary:Version}), libpoconetssl12 (= ${binary:Version}), libpocodataodbc12 (= ${binary:Version}), libpocodatasqlite12 (= ${binary:Version}), libpocoutil12 (= ${binary:Version}), libpocoxml12 (= ${binary:Version}), libpocozip12 (= ${binary:Version})
Suggests: libpoco-doc, libpococrypto12-dbg (= ${binary:Version}), libpocodata12-dbg (= ${binary:Version}), libpocofoundation12-dbg (= ${binary:Version}), libpocodatamysql12-dbg (= ${binary:Version}), libpoconet12-dbg (= ${binary:Version}), libpoconetssl12-dbg (= ${binary:Version}), libpocodataodbc12-dbg (= ${binary:Version}), libpocodatasqlite12-dbg (= ${binary:Version}), libpocoutil12-dbg (= ${binary:Version}), libpocoxml12-dbg (= ${binary:Version}), libpocozip12-dbg (= ${binary:Version})
Provides: libpoco5-dev
Conflicts: libpoco5-dev
Replaces: libpoco5-dev
Description: C++ Portable Components (POCO) Development files
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 POCO consists of four core libraries, and a number of add-on libraries. The
 core libraries are Foundation, XML, Util and Net. Two of the add-on libraries
 are NetSSL, providing SSL support for the network classes in the Net library,
 and Data, a library for uniformly accessing different SQL databases.

Package: libpococrypto12-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libpococrypto12 (= ${binary:Version}), ${misc:Depends}
Description: C++ Portable Components (POCO) Crypto library (debug version)
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the debug version of the POCO Crypto library.

Package: libpococrypto12
Architecture: any
Depends: libpocofoundation12 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) Crypto library
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the POCO Crypto library.

Package: libpocodata12-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libpocodata12 (= ${binary:Version}), ${misc:Depends}
Description: C++ Portable Components (POCO) Data library (debug version)
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the debug version of the POCO Data library.

Package: libpocodata12
Architecture: any
Depends: libpocofoundation12 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) Data library
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the POCO Data library.

Package: libpocodatamysql12-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libpocodatamysql12 (= ${binary:Version}), ${misc:Depends}
Description: C++ Portable Components (POCO) Data MySQL library (debug version)
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the debug version of the POCO Data MySQL library.

Package: libpocodatamysql12
Architecture: any
Depends: libpocofoundation12 (= ${binary:Version}), libpocodata12 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) Data MySQL library
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the POCO Data MySQL library.

Package: libpocodataodbc12-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libpocodataodbc12 (= ${binary:Version}), ${misc:Depends}
Description: C++ Portable Components (POCO) Data ODBC library (debug version)
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the debug version of the POCO Data ODBC library.

Package: libpocodataodbc12
Architecture: any
Depends: libpocofoundation12 (= ${binary:Version}), libpocodata12 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) ODBC library
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the POCO Data ODBC library. In Debian, it is linked
 against unixODBC but also iODBC can be used instead.

Package: libpocodatasqlite12-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libpocodatasqlite12 (= ${binary:Version}), ${misc:Depends}
Description: C++ Portable Components (POCO) Data SQLite library (debug version)
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the debug version of the POCO Data SQLite library.

Package: libpocodatasqlite12
Architecture: any
Depends: libpocofoundation12 (= ${binary:Version}), libpocodata12 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) Data SQLite library
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the POCO Data SQLite library.

Package: libpocofoundation12-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libpocofoundation12 (= ${binary:Version}), ${misc:Depends}
Description: C++ Portable Components (POCO) Foundation library (debug version)
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
